package jdshop

import (
	"fmt"
	"git.rosy.net.cn/baseapi/platformapi/jdshopapi"
	"testing"
)

func TestSaveJdsOrders(t *testing.T) {
	type args struct {
		msg *jdshopapi.CallBackResult
	}
	tests := []struct {
		name    string
		args    args
		wantErr bool
	}{
		// TODO: Add test cases.
	}
	fmt.Println("测试1")
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if err := SaveJdsOrders(tt.args.msg); (err != nil) != tt.wantErr {
				t.Errorf("SaveJdsOrders() error = %v, wantErr %v", err, tt.wantErr)
			}
		})
	}
	fmt.Println("测试2")
}

func TestDecrypt(t *testing.T) {
	InitKey()
	fmt.Println(Decrypt("dGeoMeGNcXeT8iCHn3hTrCFYY8qfMnOptNcMFzAJA2/Dx/CPiZ526ec0NN0kWKs4+HwEGCLu9hAB9D0MIf8UB6q4G8IVgD3oXlOb89CFgGe0yO1HA9j51ESPFXh8=", "1"))
}
